Jump to content
Anak1Dev

UPDATE KO chez OVH MUTU Prestashop 1.7.0.6 -> 1.7.1

Recommended Posts

Je test la version 1.7 de prestashop sur une boutique en préparation.

 

Ce matin je reçois le mail de l'update 1.7.1.

 

Du coup j'ai essayé de passer l'update Prestashop 1.7.0.6 -> 1.7.1 avec le module 1-click update

 

J'ai eu une erreur (que j'ai pas noté  :rolleyes:  et sans faire de sauvegardes).

Rollback impossible.

Du coup là j'ai une page blanche

 

Je suis chez ovh mutu (PHP 7.1) et SQL privé (MySQL 5.7).

 

Je vais downgrader la version MySQL vers du MySQL 5.6 car la 5.7 chez OVH semble très stricte (trop ?) et repartir sur une installation neuve 1.7.1.

 

Voilà si ça peut aider quelqu'un  :D

Share this post


Link to post
Share on other sites

Bonjour

j'ai quitté OVH depuis longtemps donc je comprend...;-)

 

de mon coté je suis occupé a tester PS 1.7.6 avec planethoster et son installation automatique via le souftacoulus

 

première chose a signalé ,

après l’installation de PS 1.7.06 

le fichier  .htacces du répertoire admin doit être désactivé 

sinon un page blanche pour l'admin  Idem pour la MAJ 1.7.1  

 

mais je ne sais pas si le probleme vient de Prestashop 1.7 ou de leur installeur , donc j'attends  l'avis d'un pro

 

 

Autre point constaté lors de la mise a jour de 1.7.06  vers 1.7.1

le support a changé les droits des répertoires avec Fixperms

(Fixperms qui permet de mettre les droits des fichiers présent dans le public_htmt en 644 et les dossiers en 755.)
 

ensuite l'installation a fonctionné sur un de mes site PS 

par contre sur les  2 autres gros Bug lors de la mise a jour avec 1 click lié a la base de donnée pour un site et l'autre j'ai oublier de noter l'erreur

 

je vais essaye de faire la MAJ manuellement sur mon site test  et vais surement passer en PHP 7

 

je reviendrai avec le résultats

 

Bonne soirée

Share this post


Link to post
Share on other sites

Bonjour / Bonsoir,

 

La mise à jour ne fonctionnait pas chez nous non plus jusqu'à ce que nous augmentions la limite de mémoire pour PHP (7.1 utilisé) le temps de la mise à jour.

Passer de 128M à 512M a éliminé les erreurs.

 

Modification à faire dans php.ini :

 ; Maximum amount of memory a script may consume (128MB)
 ; http://php.net/memory-limit
 memory_limit = 512M

Share this post


Link to post
Share on other sites

Bonjour

 

@Tiledcode  c'est déjà le cas

 

 

Informations du serveur : Linux #1 SMP Fri Jan 13 10:32:04 MSK 2017 x86_64

Version du logiciel serveur : LiteSpeed

Version de PHP : 5.6.30

Limite de mémoire : 512M

Temps maximal d'exécution : 900

Taille max. pour envoi de fichiers : 24M

 

le plus étrange avec la même configuration 1 sur 3  aucun problème 

 

Bonne journée

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More